Get registry
curl --request GET \
--url https://{host}/api/registries/{id} \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/registries/{id}"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/registries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/registries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/registries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/registries/{id}")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/registries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": true,
"defaultImageRepo": true,
"id": 123,
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"site": "<string>",
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>",
"servesChartsFor": [
"<string>"
],
"servesImagesFor": [
"<string>"
],
"trustApplyErrors": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}registries
Get registry
Chart mirror — the chart-side twin of prepull. Static sub-paths must be
Authorisation: registry:Get on krn:celum:registry:{id}.
Assistant tool: get_registry
GET
/
api
/
registries
/
{id}
Get registry
curl --request GET \
--url https://{host}/api/registries/{id} \
--cookie k8s-gate-session=import requests
url = "https://{host}/api/registries/{id}"
headers = {"cookie": "k8s-gate-session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'k8s-gate-session='}};
fetch('https://{host}/api/registries/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{host}/api/registries/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "k8s-gate-session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{host}/api/registries/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "k8s-gate-session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{host}/api/registries/{id}")
.header("cookie", "k8s-gate-session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://{host}/api/registries/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'k8s-gate-session='
response = http.request(request)
puts response.read_body{
"caCert": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"defaultChartRepo": true,
"defaultImageRepo": true,
"id": 123,
"insecureSkipVerify": true,
"name": "<string>",
"password": "<string>",
"project": "<string>",
"site": "<string>",
"type": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedBy": "<string>",
"url": "<string>",
"username": "<string>",
"servesChartsFor": [
"<string>"
],
"servesImagesFor": [
"<string>"
],
"trustApplyErrors": [
"<string>"
]
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
sessionCookiebearerToken
The session cookie issued by the OIDC sign-in flow. This is what a browser uses.
Path Parameters
The object's identifier.
Response
object | null
Success.